package com.etri.groupware;

import com.etri.groupware.organization.*;
import com.etri.groupware.authentication.* ;
import com.etri.groupware.bbs.*;
import com.etri.groupware.mail.*;
import com.etri.groupware.eda.*;



public interface GroupwareControllerInterface{
   
    public OrganizationManagementControllerInterface createOrganizationManagementController() throws Exception;
    
    public AuthenticationControllerInterface createAuthenticationController() throws Exception;
             
    public MailControllerInterface createMailController() throws Exception;
    
    public BBSControllerInterface createBBSController() throws Exception;
    
    public EDAControllerInterface createEDAController() throws Exception;
   
    
}